<?php
/**
 * Hello View for Hello World Component
 * @package    OpenSourceTechnologies.Map Locator
 * @subpackage Components
 * @copyright	Copyright (c)2011 Open Source Technologies. All Rights Reserved.
 * @license		GNU/GPLv3
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class MapLocatorViewSitelocation extends JView
{
	/**
	 * SiteLocation view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		JToolBarHelper::title(   JText::_( 'Site Location Manager' ), 'category.png' );
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_maplocator', 350);


		// Get data from the model
		$items		= & $this->get( 'Data');

		$this->assignRef('items',		$items);

		parent::display($tpl);
	}
}